| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::TerrainGroup::TerrainSlot Struct Reference

Slot for a terrain instance, together with its definition. More...

`#include <OgreTerrainGroup.h>`

Inheritance diagram for Ogre::TerrainGroup::TerrainSlot:
[legend]

## Public Member Functions
| TerrainSlot (long _x, long _y)
virtual | ~TerrainSlot ()
void | freeInstance ()

## Public Attributes
TerrainSlotDefinition | def
| Definition used to load the terrain. More...
Terrain * | instance
| Actual terrain instance. More...
long | x
| The coordinates of the terrain slot relative to the centre slot (signed). More...
long | y

## Detailed Description

Slot for a terrain instance, together with its definition.

## Constructor & Destructor Documentation

## ◆ TerrainSlot()

Ogre::TerrainGroup::TerrainSlot::TerrainSlot | ( | long | _x,
|  | long | _y
| ) |  |
| inline

## ◆ ~TerrainSlot()

virtual Ogre::TerrainGroup::TerrainSlot::~TerrainSlot | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ freeInstance()

void Ogre::TerrainGroup::TerrainSlot::freeInstance | ( |  | ) |

## Member Data Documentation

## ◆ x

long Ogre::TerrainGroup::TerrainSlot::x

The coordinates of the terrain slot relative to the centre slot (signed).

## ◆ y

long Ogre::TerrainGroup::TerrainSlot::y

## ◆ def

TerrainSlotDefinition Ogre::TerrainGroup::TerrainSlot::def

Definition used to load the terrain.

## ◆ instance

Terrain* Ogre::TerrainGroup::TerrainSlot::instance

Actual terrain instance.

The documentation for this struct was generated from the following file:

- OgreTerrainGroup.h